package com.syntevo.plugin.jira.commit;

import javax.swing.*;
import javax.swing.text.*;

/**
 * @author syntevo GmbH
 */
final class JiraUiUtils {

	// Constants ==============================================================

	private static final String DUMMY_PASSWORD = "         ";

	// Static =================================================================

	public static JLabel createLabel(String text, char mnemonic) {
		final JLabel label = new JLabel(text + ':');
		label.setDisplayedMnemonic(mnemonic);
		return label;
	}

	public static JTextField createTextField(String defaultText, int columns, JLabel label) {
		final JTextField textField = new JTextField();
		if (columns > 0) {
			textField.setColumns(columns);
		}
		if (defaultText != null) {
			textField.setText(defaultText);
		}
		if (label != null) {
			label.setLabelFor(textField);
		}
		return textField;
	}

	public static JPasswordField createPasswordField(boolean hasKnownPassword, JLabel label) {
		final JPasswordField passwordField = new JPasswordField();
		passwordField.enableInputMethods(true);
		if (hasKnownPassword) {
			passwordField.setText(DUMMY_PASSWORD);
		}
		if (label != null) {
			label.setLabelFor(passwordField);
		}
		return passwordField;
	}

	public static String getPassword(JPasswordField passwordField, String knownPassword) {
		final String text = passwordField.getText();
		if (DUMMY_PASSWORD.equals(text)) {
			return knownPassword;
		}
		return text;
	}

	public static void setText(JTextComponent textComponent, String text) {
		textComponent.setText(text != null ? text : "");
	}
}
