package com.syntevo.plugin.jira.commit.messagesource;

import javax.swing.*;

import com.syntevo.openapi.gui.table.*;
import com.syntevo.openapi.util.*;
import com.syntevo.plugin.jira.transport.*;

/**
 * @author syntevo GmbH
 */
final class JiraIssueKeyTableColumn implements ITableColumn<JiraIssue> {

	// Implemented ============================================================

	public String getColumnName() {
		return "Key";
	}

	public boolean isRightAligned() {
		return true;
	}

	public String getText(JiraIssue issue) {
		return issue.getKey();
	}

	public Icon getIcon(JiraIssue issue) {
		return null;
	}

	public int compare(JiraIssue issue1, JiraIssue issue2) {
		return CompareUtils.compare(issue1.getKey(), issue2.getKey());
	}
}
