package com.syntevo.plugin.mergeinfocolumn;

import org.tmatesoft.svn.core.*;
import org.tmatesoft.svn.core.wc.*;

import com.syntevo.openapi.gui.table.*;
import com.syntevo.openapi.smartsvn.file.gui.*;

/**
 * @author syntevo GmbH
 */
final class MergeInfoFileTableColumn implements ISvnFileTableColumn {

	// Fields =================================================================

	private final MergeInfoTableColumn tableColumn = new MergeInfoTableColumn();

	// Setup ==================================================================

	public MergeInfoFileTableColumn() {
	}

	// Implemented ============================================================

	public Object getValue(SvnFileExtendedAttributes attributes) {
		return attributes.getAttribute(SVNProperty.MERGE_INFO);
	}

	public boolean handleProperty(SvnFileExtendedAttributesBuilder attributes, String key, SVNPropertyValue value) {
		if (!SVNProperty.MERGE_INFO.equals(key)) {
			return false;
		}

		attributes.setAttribute(SVNProperty.MERGE_INFO, MergeInfoType.stringToInternal(value.getString()));
		return true;
	}

	public ITableColumn<Object> getTableColumn() {
		return tableColumn;
	}

	public boolean isShowInitially() {
		return false;
	}
}
