package com.syntevo.plugin.quickupdate;

import com.syntevo.openapi.smartsvn.settings.*;

/**
 * @author syntevo GmbH
 */
final class UpdateSettings {

	// Constants ==============================================================

	private static final String SHOW_UPDATE_DIALOG = "showUpdateDialog";

	// Static =================================================================

	public static boolean isShowUpdateDialog(SettingsProvider settingsProvider) {
		final Settings settings = settingsProvider.getSettings(QuickUpdatePlugin.ID);
		return SettingsUtils.getBooleanValue(SHOW_UPDATE_DIALOG, true, settings);
	}

	public static void setShowUpdateDialog(boolean showUpdateDialog, SettingsProvider settingsProvider) {
		final Settings settings = settingsProvider.getSettings(QuickUpdatePlugin.ID);
		SettingsUtils.setBooleanValue(SHOW_UPDATE_DIALOG, showUpdateDialog, settings);
	}
}
