package com.syntevo.plugin.quickupdate;

import com.syntevo.openapi.gui.*;
import com.syntevo.openapi.smartsvn.settings.*;
import com.syntevo.openapi.smartsvn.settings.gui.*;

/**
 * @author syntevo GmbH
 */
final class UpdateSettingsPageFactory implements ISettingsPageFactory {

	// Fields =================================================================

	private final GuiSpacings spacings;

	// Setup ==================================================================

	public UpdateSettingsPageFactory(GuiSpacings spacings) {
		this.spacings = spacings;
	}

	// Implemented ============================================================

	public String getId() {
		return "update";
	}

	public String getInsertLocation() {
		return SettingsConstants.GLOBAL_ACTIONS;
	}

	public ISettingsPage createSettingsPage() {
		return new UpdateSettingsPage(spacings);
	}
}
